# Uses of Class
com.logicaldoc.core.document.NoteAccessControlEntry

Packages that use NoteAccessControlEntry
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of NoteAccessControlEntry in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return NoteAccessControlEntry
Modifier and Type
Method
Description
`NoteAccessControlEntry`
DocumentNote.`getAccessControlEntry(long groupId)`
Methods in com.logicaldoc.core.document that return types with arguments of type NoteAccessControlEntry
Modifier and Type
Method
Description
`Set<NoteAccessControlEntry>`
DocumentNote.`getAccessControlEntries(Set<Long> groupIds)`
`Set<NoteAccessControlEntry>`
DocumentNote.`getAccessControlList()`
Methods in com.logicaldoc.core.document with parameters of type NoteAccessControlEntry
Modifier and Type
Method
Description
`void`
DocumentNote.`addAccessControlEntry(NoteAccessControlEntry ace)`
Method parameters in com.logicaldoc.core.document with type arguments of type NoteAccessControlEntry
Modifier and Type
Method
Description
`void`
DocumentNote.`setAccessControlList(Set<NoteAccessControlEntry> acl)`
Constructors in com.logicaldoc.core.document with parameters of type NoteAccessControlEntry
Modifier
Constructor
Description
``
`NoteAccessControlEntry(NoteAccessControlEntry source)`